/**
 * Created on 15-08-2002
 *
 * The contents of this file may be used for 
 * private or educational use only.
 */
package gui;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.MediaTracker;
import java.awt.Toolkit;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.net.URL;
import javax.swing.ImageIcon;
import javax.swing.JWindow;

/**
 * @author Knud Ahrnell Albrechtsen (SnakeByte)
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class About extends JWindow implements MouseListener {

private Image image = null;
private ImageIcon icon = null;
	/**
	 * Constructor for About.
	 */
	public About() {
		MediaTracker imageTracker = new MediaTracker( this );
		URL url = getClass().getClassLoader().getResource( "gui/pics/SnakeByte-Logo.gif" );
		image = new ImageIcon( url ).getImage();
		imageTracker.addImage( image, 0 );
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		int xdim = image.getWidth( null );
		int ydim = image.getHeight( null );
		
		addMouseListener( this );
		setSize( xdim + 2, ydim + 2 );
		setLocation( (int) ( screenSize.getWidth() - xdim ) / 2, (int) ( screenSize.getHeight() - ydim ) / 2 );
		setVisible( true );
		try {
			imageTracker.waitForID( 1 );
		}
		catch( InterruptedException e ) {
			System.out.println( "About: Failure ocurred: " + e );
		}
	}
	
	public void update( Graphics g ) {
		paint( g );
	}
	
	public void paint( Graphics gReal ) {
		//Double buffering
		Image imageBuffer = createImage( getWidth(), getHeight() );
		Graphics g = imageBuffer.getGraphics();
		
		g.drawImage( image, 1, 1, null );
		g.setColor( new Color( 180, 200, 200 ) );
		g.drawRect( -1, -1, getWidth(), getHeight() );
		
		g.setColor( Color.black );
		g.setFont( new Font( "Univers", Font.PLAIN, 12 ) );
		g.drawString( "Test af menu'er, ndring af sprog,", 10, getHeight() - 42 );
		g.drawString( "samt ndring i Look & Feel", 10, getHeight() - 28 );
		
		g.setColor( new Color( 180, 200, 200 ) );
		g.setFont( new Font( "dialog", Font.PLAIN, 16 ) );
		g.drawString( "Copyright (C) 2002 SnakeByte", 10, getHeight() - 10 );
		gReal.drawImage( imageBuffer, 0, 0, this );
		
	}
	
	/**
	 * @see java.awt.event.MouseListener#mouseClicked(MouseEvent)
	 */
	public void mouseClicked( MouseEvent e ) {
		dispose();
	}

	/**
	 * @see java.awt.event.MouseListener#mousePressed(MouseEvent)
	 */
	public void mousePressed( MouseEvent e ) {
//		dispose();
	}

	/**
	 * @see java.awt.event.MouseListener#mouseReleased(MouseEvent)
	 */
	public void mouseReleased( MouseEvent e ) {
//		dispose();
	}

	/**
	 * @see java.awt.event.MouseListener#mouseEntered(MouseEvent)
	 */
	public void mouseEntered( MouseEvent e ) {
//		System.out.println( "About: MouseEntered: Goddag" );
	}

	/**
	 * @see java.awt.event.MouseListener#mouseExited(MouseEvent)
	 */
	public void mouseExited( MouseEvent e ) {
//		System.out.println( "About: MouseExited: farvel" );
	}

}
